Bug 131815 - Validity dialog height
Summary: Validity dialog height
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.2.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: difficultyMedium, easyHack, skillDesign, topicUI
Depends on:
Blocks:
 
Reported: 2020-04-02 08:57 UTC by guser
Modified: 2020-12-08 11:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description guser 2020-04-02 08:57:40 UTC
Description:
Validity dialog in Calc has too big height.

Steps to Reproduce:
1. run Calc
2. go to Data > Validity

Actual Results:
dialog height is too big

Expected Results:
decrase dialog height


Reproducible: Always


User Profile Reset: No



Additional Info:
n/a
Comment 1 Bhavesh Patel 2020-04-02 15:30:46 UTC
It looks like the height is fixed and is long to show enough text on "input help" and "error text" tabs without scrolling. It would be nice to trim 10-20% height at the bottom for aesthetics so marking as enhancement but this has a good chance of going "WONTFIX".
Comment 2 Roman Kuznetsov 2020-09-18 09:07:04 UTC
Now in 7.1 we have ~640px in height for the Validity dialog. But it looks strange anyway.

I suggest decrease the height
Comment 3 Heiko Tietze 2020-09-18 11:58:58 UTC
Yes, let's reduce the height. 

Code pointers:
sc/uiconfig/scalc/ui/validation*.ui
maybe also sc/source/ui/dbgui/validate.cxx
Comment 4 Shubham Jain 2020-11-24 12:36:48 UTC
(In reply to Heiko Tietze from comment #3)
> Yes, let's reduce the height. 
> 
> Code pointers:
> sc/uiconfig/scalc/ui/validation*.ui
> maybe also sc/source/ui/dbgui/validate.cxx

Hi! I tried to change the column_spacing property inside ValidationCriteriaPage in validationcriteriapage.ui but no changes occurred. Can you tell me which property tweaks the height of the dialogue box?
Comment 5 Heiko Tietze 2020-12-04 10:29:02 UTC
In sc/source/ui/dbgui/validate.cxx ScTPValidationValue::ScTPValidationValue() the dialog size is requested per 

    Size aSize(m_xEdList->get_approximate_digit_width() * 40,
               m_xEdList->get_height_rows(25));

Reduce the number of rows to show to make the dialog smaller.
Comment 6 Commit Notification 2020-12-06 20:17:36 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9cb1c7e5d7434a64ada279ad264182286f907d7c

tdf#131815 Reduce Validity dialog height

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-12-08 11:53:34 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/0037b68dc6c2208af6760a0b86c59f871a2ce80a

tdf#131815 Reduce Validity dialog height

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.